summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Niels Horn <niels.horn@gmail.com>2010-06-12 15:37:15 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-06-12 22:14:27 -0500
commit29c2f4c37318587e817a9fe616a97b9d1466d95f (patch)
tree049fac317fb2675658fdb3df5e1a59bcaa572dab
parent9cdde68e969edc7714bde53bf82b8a86f57700ca (diff)
downloadslackbuilds-29c2f4c37318587e817a9fe616a97b9d1466d95f.tar.gz
slackbuilds-29c2f4c37318587e817a9fe616a97b9d1466d95f.tar.xz
network/zarafa-webaccess-ajax: Added (Zarafa web access module)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--network/zarafa-webaccess-ajax/README24
-rw-r--r--network/zarafa-webaccess-ajax/doinst.sh13
-rw-r--r--network/zarafa-webaccess-ajax/slack-desc19
-rw-r--r--network/zarafa-webaccess-ajax/zarafa-webaccess-ajax.SlackBuild61
-rw-r--r--network/zarafa-webaccess-ajax/zarafa-webaccess-ajax.info10
5 files changed, 127 insertions, 0 deletions
diff --git a/network/zarafa-webaccess-ajax/README b/network/zarafa-webaccess-ajax/README
new file mode 100644
index 0000000000..bdfc2afe8b
--- /dev/null
+++ b/network/zarafa-webaccess-ajax/README
@@ -0,0 +1,24 @@
+The webaccess module of Zarafa is a Ajax / PHP based solution to
+access your e-mail, agenda, contacts, etcetera via a browser.
+
+This SlackBuild uses the following defaults:
+* DOCROOT=/var/www/htdocs
+* DOCDIR=webaccess
+* PHPUSER=root
+* PHPGROUP=apache
+
+With the defaults, Zarafa will be accessible from http://<yourserver>/webaccess/
+
+Change these at build time if preferred:
+# DOCROOT=/your/preferred/directory \
+ PHPUSER=youruser PHPGROUP=yourgroup \
+ ./zarafa-webaccess-ajax.SlackBuild
+
+This requires zarafa.
+
+This needs the following settings in your /etc/httpd/php.ini:
+ extension = mapi.so
+ short_open_tag = On
+
+Check /etc/zarafa/config.php after installation if you need any
+non-standard configuration.
diff --git a/network/zarafa-webaccess-ajax/doinst.sh b/network/zarafa-webaccess-ajax/doinst.sh
new file mode 100644
index 0000000000..19a6ff6ac8
--- /dev/null
+++ b/network/zarafa-webaccess-ajax/doinst.sh
@@ -0,0 +1,13 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
diff --git a/network/zarafa-webaccess-ajax/slack-desc b/network/zarafa-webaccess-ajax/slack-desc
new file mode 100644
index 0000000000..87e7f38794
--- /dev/null
+++ b/network/zarafa-webaccess-ajax/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+zarafa-webaccess-ajax: zarafa-webaccess-ajax (web access module for zarafa)
+zarafa-webaccess-ajax:
+zarafa-webaccess-ajax: The webaccess module of Zarafa is a Ajax / PHP based solution to
+zarafa-webaccess-ajax: access your e-mail, agenda, contacts, etc. via a browser.
+zarafa-webaccess-ajax:
+zarafa-webaceess-ajax: http://www.zarafa.com/
+zarafa-webaccess-ajax:
+zarafa-webaccess-ajax:
+zarafa-webaccess-ajax:
+zarafa-webaccess-ajax:
+zarafa-webaccess-ajax:
diff --git a/network/zarafa-webaccess-ajax/zarafa-webaccess-ajax.SlackBuild b/network/zarafa-webaccess-ajax/zarafa-webaccess-ajax.SlackBuild
new file mode 100644
index 0000000000..a7277db9f7
--- /dev/null
+++ b/network/zarafa-webaccess-ajax/zarafa-webaccess-ajax.SlackBuild
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# Slackware build script for zarafa-webaccess-ajax:
+# Ajax-based solution for webaccess to zarafa
+
+# Written by Niels Horn <niels.horn@gmail.com>
+# revision date 2010/05/28
+
+PRGNAM=zarafa-webaccess-ajax
+VERSION=${VERSION:-6.30.14}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+DOCROOT=${DOCROOT:-/var/www/htdocs}
+DOCDIR=${DOCDIR:-webaccess}
+PHPUSER=${PHPUSER:-root}
+PHPGROUP=${PHPGROUP:-apache}
+
+UNTARDIR=php-webclient-ajax
+CONFDIR=etc/zarafa
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $TMP/$UNTARDIR $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $UNTARDIR
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# "Install" to $DOCROOT/$DOCDIR
+mkdir -p $PKG/$DOCROOT/$DOCDIR/tmp
+cp -a * $PKG/$DOCROOT/$DOCDIR/
+chown -R $PHPUSER:$PHPGROUP $PKG/$DOCROOT/$DOCDIR
+chmod 660 $PKG/$DOCROOT/$DOCDIR/tmp
+
+# Move configuration & create symbolic link
+mkdir -p $PKG/$CONFDIR
+mv $PKG/$DOCROOT/$DOCDIR/config.php.dist $PKG/$CONFDIR/config.php.new
+chown root:$PHPGROUP $PKG/$CONFDIR/config.php.new
+chmod 640 $PKG/$CONFDIR/config.php.new
+
+( cd $PKG/$DOCROOT/$DOCDIR ; ln -s /$CONFDIR/config.php )
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+printf "config $CONFDIR/config.php.new\n" >> $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/zarafa-webaccess-ajax/zarafa-webaccess-ajax.info b/network/zarafa-webaccess-ajax/zarafa-webaccess-ajax.info
new file mode 100644
index 0000000000..da45634190
--- /dev/null
+++ b/network/zarafa-webaccess-ajax/zarafa-webaccess-ajax.info
@@ -0,0 +1,10 @@
+PRGNAM="zarafa-webaccess-ajax"
+VERSION="6.30.14"
+HOMEPAGE="http://www.zarafa.com/"
+DOWNLOAD="http://download.zarafa.com/zarafa/drupal/ondemand.php?version=6.30.14&src=zarafa-webaccess-ajax-6.30.14"
+MD5SUM="914dc200e5ffdfb8cc1ea797d9149730"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Niels Horn"
+EMAIL="niels.horn@gmail.com"
+APPROVED="rworkman"